All articles
Breaking News:

All articles

Radical feminists’ relentless war on white males

Decades of a virulent anti-male narrative by radical feminists has resulted in negative stereotypes of males being embedded in our culture. If you are a white, heterosexual male, who hasn’t succumbed to political correctness and therefore can still think for yourself, you are probably sick of the put-down of men in TV commercials, sitcoms and movies and the outright ...

Germans told to stockpile food and water in case of 'catastrophe scenario' - is an Islamic State attack imminent?

Islamic State planning ‘nuclear holocaust’ to wipe hundreds of millions from the face of the earth. So claimed Jurgen Todenhofer, the first Western reporter to embed (for ten days) with Islamic State ...

Gangs of Pakistani Muslim men rape, beat and sexually exploit more than 1,400 young British girls, some as young as 11, over 16 year period in English town of Rotherham

For years, police and authorities turned a blind eye for for of being branded racist A story of rampant child abuse—ignored and abetted by the police—emerged out of the British town of Rotherham in Yorkshire in August 2014. Until then, its scale and scope would have been inconceivable in a civilized country.  Its origins, however, lie in two related factors, firstly what one Labour MP called “not wanting to rock ...

Feminist zealots create an anti-male world

Many TV commercials depict females as clever and all-knowing while they depict males as bumbling fools, but never the other way around. Some examples: In a commercial for Wallet Wizard loans, a dim-witted dork of a male, with mouth agape, whines "Honey I accidentally laminated the cat". The  attractive wife, with a long-suffering look says, "another vet bill - where will we get the money?". No self-respecting male should ever do business with this company.

Camille Paglia - how a civilization commits suicide

'What you're seeing is how a civilization commits suicide," says Camille Paglia in an interview with Bari Weiss of the Wall Street Journal. This self-described "notorious Amazon feminist" isn't telling anyone to Lean In or asking Why Women Still Can't Have It All. No, her indictment may be as surprising as it is wide-ranging: The military is out of fashion, Americans undervalue manual labor, schools neuter male students, opinion makers deny the biological differences between men and women, ...

What is a social justice warrior (SJW)?

By Martin Lehmann Social justice warriors believe in an extreme left-wing ideology that combines feminism, progressivism, and political correctness into a totalitarian system that attempts to censor speech while actively discriminating against men, particularly white men. They are the internet activist arm of Western progressivism that acts as a vigilante group to ensure compliance and homogeny of far left thought.

Australian of the Year selection committee

Selection of Australian of the Year is made by the Board of the National Australia Day Council. There have been some truly outstanding recipients of the Australian of the Year awards in previous years. They have more than adequately satisfied the criteria set down by the selection committee: Demonstrated excellence in their field Significant contribution to the Australian community and nation An ...

Jihad apologists

Keysar Trad Whenever there is an Islamic atrocity or Muslims are shown in a bad light, the founder of the Islamic Friendship Association, Keysar Trad bobs up to announce that “Islam is a ...

Cheese eating surrender monkeys - France capitulates to the Islamists

"Cheese eating surrender monkeys" - The Simpsons Groundskeeper Willie's famous words are an apt summing up of the situation in France following latest Jihadist atrocities. The French authorities, from the president down, together with the majority of the French populace, have capitulated to the Islamist threat. "They have guns but we have flowers"

Australian Liberty Alliance the only political party to tackle the threat of Islam

ALA Senate candidate Bernard Gaynor Australian Liberty Alliance Senate candidate, Bernard Gaynor, opened his campaign with a cracker of a speech at a meeting on the Gold Coast on November ...

Sweden close to collapse

Sweden is facing collapse thanks to the recent huge influx of migrants into the country, the Swedish foreign minister has said. As 190,000 migrants pour into Sweden in 2015 alone, law and order is beginning to break down as the country plays witness to numerous arson attacks, stabbings and gang rapes.

Sweden: rape capital of the world

 In 1975, the Swedish parliament unanimously decided to change the former homogeneous Sweden into a multicultural country. Forty years later the dramatic consequences of this experiment emerge: violent crime has increased by 300%. If one looks at the number of rapes, however, the increase is even worse. In 1975, 421 rapes were reported to the police; in 2014 it was 6,620.  That is an ...

Syrian woman killed in Germany by her family for being 'unclean' after being gang-raped

Muslim honour killing 20-year old Rokstan M stabbed to death, allegedly by her father and brothers. In the Muslim tradition of honour ...

Australian Liberty Alliance launches new political party in Australia

  Australian Liberty Alliance to represent "ordinary Australians" By Martin ...

Update: Acquitted husband killer walks free from court a second time

Susan Falls, who in 2010 provided a case study in how to legally kill your husband, has walked free from court again, this time after defrauding the Australian taxpayers of $78,284. Falls walked free from Southport (Queensland) Magistrates Court on an intensive supervision order after pleading guilty to ripping off Centrelink over five years when she claimed she was a single ...

Adam Goodes and the hunt for racists

There are three very good reasons why fans boo part-Aboriginal football star, Adam Goodes.  Any person, Aboriginal or not, making provocative gesures like this, is sure to rile the ...

Domestic violence: Four women execute boyfriend

Anna Marshall It was an offer he couldn't refuse. Paul Snabel had  been partying all night. In the early hours of the morning of November 11, 1989 his girlfriend Karen Randall phoned and said, meet me for sex. The sun was rising as Karen's sister Donna picked up Paul Snable and drove him to a remote property in rural Victoria. He had no inkling that this was to be his last day on earth. For Paul Snabel was heading into a trap set ...

Domestic violence: Woman walks free from court after killing her son

Women who kill get soft sentences from feminist-friendly judiciary Judge lets female child killer walk free Anna Marshall 14 July 2004 On August 4, 2003, New South Wales woman Daniela Dawes (pictured) forced her 10-year-old autistic son Jason's mouth closed and pinched his nose until he stopped struggling. 

Domestic violence against men: Gemma Hollings

Woman who attacked her boyfriend with a hammer, pole and broken bottle jailed for eight years after 'one of the worst' ...

Domestic violence: How to get away with murder

Anna Marshall On March 6, 2015 another woman using the "battered woman" defence walked free from an Australian court after being found guilty of the manslaughter of her former de-facto husband and father of her child. Although the jury found Jessica Silva guilty of the manslaughter of James Polkinghorne, the kindly

EXPOSED! World’s largest Islamic charity a front for terrorism

Islamic Relief Worldwide (IRW) was in November 2014 designated a terrorist group by the UAE (United Arab Emirates), the second Middle Eastern country to do so. In June 2014, Israel declared IRW a financial ...

We're losing the war against radical Islam

  by Newt Gingrich   Congress needs a strategy to defeat both violent and cultural jihad.   On Tuesday, the House Committee on Homeland Security, under the ...

Multiculturalism fails in France - civil war predicted

By Martin Lehmann France has some 751 no-go zones. The French government labels them sensitive urban zones. But what they are are dangerous to whites and non-Muslims who enter. Some of the no-go zones function like micro-states, and are governed by sharia law. A leading French intellectual says it means where the police don't go, the firemen don't go and even the doctors and ambulances ...

German television's mass deception

The account below by Pierre Gosselin analyses how German public television broadcaster ZDF perpetrates the deception of the world leaders in their pretend Charlie Hebdo march. As you watch the video, key elements of the deception are translated below. By P Gosselin on 17. January 2015Never the trust the media, let alone political leaders.When they tell us global warming is real while sea ice at the poles is at normal levels and snow is falling ...

Cowardly world leaders march up safe side street instead of with Charlie Hebdo marchers

Mass deception and cowardice of the political elites By Martin Lehmann The mainstream media breathlessly reported on the bravery and solidarity of world leaders marching with the million Charlie Hebdo marchers. This is how Piers Morgan reported it for ...

Aboriginals: One of the outcomes of a life on taxpayer-funded welfare

Police attacked by Broome beach crowd As reported by watoday.com.au November 8, 2014 The damage done to one of the abandoned police vehicles. Photo: WA ...

Geert Wilders: Islam’s War Against the Free West

Below is the transcript of Geert Wilders’ speech an event sponsored by the Freedom Center on November 16, 2014 at the Breakers Resort in Palm Beach, Florida. It is always a pleasure to be in the United States. And it is an honor to be at Restoration Weekend again. Especially at this moment when a new Congress and a new majority in the Senate are preparing to lead this great country and change it for the ...

Analysis of Pauline Hanson's maiden speech in federal parliament

Martin Lehmann - 8 September, 2003 This is the speech that drove the ruling elites and left-wing media into paroxysms of self-righteous  fury. The Murdoch, Fairfax and Packer journalists, together with the politically correct zealots from the ABC and SBS seized on these words, twisted them into a parody of lies, deceit and slander to launch one of the most defamatory, vicious and scurrilous attacks on the character of a person ever seen in ...

Pauline Hanson's maiden speech in federal parliament

The speech that struck at the heart of political correctness and challenged the authority of the ruling elites Read also - Analysis of Pauline  Hanson's maiden speech

Pauline Hanson: Vicious media attacks frighten off politicians

John Howard conned by the media Martin Lehmann - 14 March 1999 John Howard is too weak to stand up to the media. Their anti-Hanson onslaught has reduced Howard to a quivering blob of ...

Pauline Hanson: Australian media a threat to democracy

Martin Lehmann - 1 February 2001 One million Australian voters were dis-enfranchised at the last Federal election due to blatant media interference in the democratic process. The One Nation party received one million votes but did not get one member elected in the House of Representatives.  With the looming WA state election, the media has again demonstrated its dangerous ...

Pauline Hanson: Press Council head slams media 'feeding frenzy'

Media bias exposed in Hanson attacks The head of the Australian Press Council was forced to criticise the media over its anti-Hanson attacks, as reported in The West Australian on 27/10/97 : The media have gone into a "feeding frenzy" over Independent MP Pauline Hanson and were to blame for resulting ...

Archives: Murdoch media blitzes Hanson

Weekly round-up 5 July, 1998  Murdoch media blitzes Hanson  Rupert Murdoch, one of the world's richest and most powerful men, has ordered his editorial staff to use the full power of the Murdoch media empire to destroy Pauline Hanson and her fledgling One nation party. This is the ...

The political assassination of Pauline Hanson

Kerry Packer, Rupert Murdoch, Terry Sharples, Tony Abbott and Patsy Wolfe – these names will forever live in infamy in Australian politics as Pauline Hanson’s assassins.   From the time Ms Hanson broke the journalists' taboo on discussing Aboriginal welfare and Asian immigration the Packer and Murdoch journalists have attacked her with a savage, unrelenting fury. When the Liberal Party realised Ms Hanson threatened the comfortable duopoly of the major parties it ...

Pauline Hanson re-visited - Australian media incite violence

Now that Pauline Hanson has re-entered the poltical fray, we have decided to re-print some articles from the time of her original entry into politics to remind Australians of one of the most disgraceful episodes in Australian political history, where sustained, vicious media attacks whipped up crowds of screaming demonstrators into intimidating and even physically attacking Pauline Hanson and her ...

Halal-free products: support these suppliers and products

This is a list of some of the better known Halal-free products. For a complete list, go to: www.halalchoices.com.au    Kirralie Smith is the creator of the halal choices website, shopping guide book and phone app and an expert on halal certification of foods and supermarkets in Australia. Support her valuable website by making a donation.

Halal Certified Products - avoid these suppliers and products

KFC rolls are Halal certified     The suppliers listed below are paying the Islamic tax known as Halal Certification. By buying their products you are contributing to the construction of mosques and Islamic schools as well as ...

Halal Certification: How the West is financing its own destruction

A number of Muslim organisations run a Mafia-style protection racket in Western countries called Halal certification - certifying the food is permissible under Islamic shariah law.  Halal certification schemes are widely imposed on non-Muslims. Certification schemes began in the 1980s and are funded by consumers through a multi-level system of one off and recurring fees, paid by suppliers to Islamic organisations. It is in effect a hidden Islamic tax on goods and services. The  ...

MUSLIMS TIGHTENING THEIR GRIP ON AUSTRALIA'S PARLIAMENT

A vote for Labor is a vote for Islam Although just 2.2 per cent of the population, Australia’s organised Islamic minority is exerting a disproportionate and worrying influence on Australia's Federal parliament. At least 15 Federal seats are now in the hands of Islamic voters with populations of between 5 per cent and 22.67 per cent with many more seats likely to swing on the Islamic vote.  Two seats that have over a 20 per cent Islam component are held by Labor, ...

Australia's home-grown Muslim terrorists

Mohamed Ali Elomar, Khaled and Moustafa Cheikho, Abdul Rakib Hasan and Mohammed Omar Jamal were part of a nine-man terrorist cell that planned to attack an unspecified Sydney target. They were found guilty by a jury on October 16, 2009, and judge Anthony Whealy ordered the men serve the longest jail sentences for terrorism offences in Australia. The terrorist group ordered or bought hundreds of litres of chemicals which could be used to make explosives. They also bought ...

Cultural Marxism destroying Western Culture

Cultural Marxism, dubbed “the greatest cancer in the Western world”, is the ideological driver behind political correctness. It is the destructive criticism and undermining of all institutions of Western civilization and the traditional values underpinning it. Cultural Marxism was formulated as a way to subvert Western nations and civilization using methods other than direct political action. Cultural Marxism is largely a synthesis of Marx and Freud. It is Marxism as ...

The enemy within: Bali-style terrorist on Australian soil 'inevitable' says Labor MP

A SENIOR member of parliament’s high-powered intelligence and security committee has warned a Bali-style terrorist attack is inevitable on ­Australian soil and the risk of an incident is “accelerating”. Unless ASIO and other spy agencies were given the sweeping new powers they were asking for, but were being denied, security forces would be ­limited in trying to prevent it. Labor MP Anthony Byrne raised the alarm in parliament on July 14, 2014 ...

British Jihadist Threatens Beheadings In Trafalgar Square

A British extremist has taken to twitter to say an Islamic State would capture Downing Street and hold executions in Trafalgar Square. Abu Dugam al-Britani, has issued a series of chilling warnings of a “holy war” in Britain, according to the Daily Mirror. Al-Britani is believed to be fighting for ISIS in Syria, and it is thought his real name is Abu ...

Geert Wilders in Melbourne

Below is the prepared text of the speech given by Geert Wilders in Melbourne, Australia: Speech by Geert WildersMelbourne, AustraliaTuesday February 19, 2013 Dear friends, Finally, I am here. I am very happy to be in your beautiful and magnificent country, Australia. 400 years ago, the Dutch were the first Europeans to discover Australia. They named this land after their own and ...

Assault on free speech

Throughout the West there is a remorseless assault on free speech through the agency of human rights commissions, political correctness and racial discrimination laws. It was a sad day for free sppech in Australia, when on 28th September 2011 Justice Bromberg in a long, rambling homily, found Andrew  Bolt and the Herald & Weekly Times guilty of conduct that contravened section 18C of the Racial Discrimination Act. In two columns, ...

How to be a journalist in one easy lesson

Learn journalism the easy way You can save yourself three years of politically correct, left-wing indoctrination at journalism school by just following the simple steps below.Learn the following vocabulary with its emphasis on hard-hitting negative verbs:(All of the following are regularly used in media reports. See how many you can spot next time you read a ...

Selection of Australian of the Year - Adam Goodes

Selection of Australian of the Year is made by the Board of the National Australia Day Council. There have been some truly outstanding recipients of the Australian of the Year awards in previous years. They have more than adequately satisfied the criteria set down by the selection committee: Demonstrated excellence in their field Significant contribution to the Australian community and nation An ...

James Delingpole: education and cultural Marxism

In the Spectator recently, my old friend Toby Young described a dilemma which all those of us right-wing persuasion must face up to in the end: should you soften your position in order to find some common ground with people whose stupid political ideology you loathe and despise? Or should you stay true to your principles and risk being marginalised as, at best, unreasonable and, at worst, as a fruitcake, a crank, a dangerous extremist?

Gina Rinehart hits out at welfare recipients and the Left for dragging Australia into debt

MINING billionaire Gina Rinehart has criticised welfare recipients for dragging the country into debt and attacked the political left for spending the “bottomless pit” of revenue generated from mining taxes and royalties. “We are living beyond our means,” Ms Rinehart, worth an estimated $19.89 billion, wrote in an opinion article. “This ‘Age of Entitlement’ and its consequences is creating problems for all of us, our children and our ...

Adam Goodes: Un-Australian of the year

Part-Aboriginal footballer, Adam Goodes has shamefully abused his position of  Australian of the Year, using his soapbox to vilify our past and preach division. Commenting on a the film, Utopia,  by another un-Australian, John Pilger, the Swans captain denounced “our very dark past, a brutal history of dispossession, theft and slaughter”. “Europeans, and the governments that have run our country, have raped, killed and ...

Black Africans gang-rape 14 year-old girl

It is clear that a significant number of sons of African refugees are adopting a “race"-based gangsta identity, pushing them into inevitable violent crime, including gang rape. Family and friends of a 14 year-old girl allegedly gang-raped in a western Sydney park say they know who the perpetrators are and have pointed the finger at an African gang operating in the Blacktown area. Police continue to hose down reports of retaliatory violence but an African youth was attacked ...

Climate change update - are we heading for another ice age?

Danube frozen over Previously this story would be called Global Warming Update, but as there has been no measurable warming of the planet for sixteen years, the global warming alarmists have re-named their dodgy theory "climate change". Here are some recent articles of interest.

Sea Shepherd's violent history

Sea Shepherd Conservation Society Overview “We’re not a protest organization, we’re a policing organization,” Paul Watson has said of his Sea Shepherd Conservation Society (SSCS). A pirate organization is more like it. Sporting the skull and crossbones, his black or battleship-gray ships sail menacingly through the waves. They are painted with the names of the boats Watson has ...

Wasting breath on the shrieking Left

What defines a leftist? An inability to separate logic from emotion, for starters, followed by the gales of abuse that typically follow any challenge to the nostrums that make so-called progressives feel so very good and virtuous. A recent blog post sums it up nicely: “The majority of people are weak-minded. They are also lazy. However, they are also egotistical . . . and so their mind reaches for something that will not only allow them ...

Marxist infiltration of Australian univerities

We’re paying for the teaching of Marxist politics Andrew Bolt Herald Sun February 17, 2014 12:00AM

Shark cull mass hysteria in Western Australia

Sea Shepherd Australia and the Greens publicity stunt creates mass hysteria in Western Australia In Western Australia, seven fatal shark attacks in three years have given many beach lovers and surfers serious concerns about entering the water. Attendances at popular beaches, such as Cotteloe, have dropped by as much as two thirds, according to some estimates. Not so long ago, the water off Cottesloe beach was full of early morning ...

How the social engineers of the Left and the Greens are perverting Australia's culture

In an important article in The Australian, Nick Cater exposes the left-wing zealots in the education system who are corrupting Australia's education system under the noses of parents and society in general. Through stealth the Left-wing academics and teachers unions have taken over the national curriculum. Instead of focusing on teaching literacy and numeracy, the 699 page Australian Curriculum stresses concepts such as ...

Australian curriculum beyond saving

Australian curriculum beyond saving NICK CATER The Australian January 14, 2014 12:00AM

Aussie sheik's group preaches hatred of the Western way of life

 "We hate the Kuffar and everything that they worship. We hate their constitutions, we reject their way of life, we reject their political systems, we reject their parliaments, we reject their democracy, capitalism, liberalism, socialism, communism and every other filthy disbelieving 'ism' that has come to act as a hindrance from Islam, the pure religion of Allah to rule from the east to the west. - ...

Ship of fools: global warmists ice-bound in the Antarctic

Climate change and media bias. The majority of the mainstream journalists have become staunch advocates of the global warming hypothesis. Their reporting clearly favours reports from the warmists while they gleefully parrot warmist jibes at skeptics; phrases such as "deniers". Australia's ABC is one of the leaders of the pack. In November 2013 the ABC ran a two-part report in which it eagerly presented Professor ...

Savage attack by Aboriginal leaves 89-year-old man brain-damaged and blind in one eye

Sidney Brady was an independent 89-year-old man until he was savagely beaten in a senseless attack during a home invasion, by Allan Ronald Poland. Since the horrifying ordeal in October 2011, the elderly man spent two months in hospital, swapped his walking stick for a frame and now lives under the full-time care of his daughter and son-in-law.  

Police raid Islamic college following allegations of serious fraud against the federal government

ONE of Australia's best-known Islamic colleges (AIC) has been raided by police and government investigators on suspicion its three campuses have rorted the student subsidies payable for non-government schools. The Australian Islamic College's campuses at Kewdale in Perth's south and Dianella and Thornlie in the city's north were raided at 9am (ACDT) yesterday by 28 fraud squad officers and 10 investigators from the Federal Department of Education, Science and Training investigations ...

Muslim school officials siphon off millions of dollars from the government to fund Islamic lobby groups

The story (below) from The Australian reveals some disturbing ramifications of the  Islamic  Civilisation Jihad of the Western world. Firstly, many Muslims consider it only natural to extract money out of the infidels (all of us tax paying non-Muslims) because they consider we should be paying the tribute, called jizya to the Muslims, to which they believe they are divinely ...

Multiculturalism in action: Sudanese former child soldier guilty of vicious attack on elderly man

A former Sudanese child soldier who blamed  memories of a traumatic childhood that triggered a vicious bashing of a  Canberra man has been sentenced to three months’ weekend detention. Luay Shaor, 30 at the time, claimed he suffered a traumatic childhood in Africa, which saw him beaten by his family and conscripted into the Sudanese army as a young teenager. Shaor eventually fled Sudan, saying he escaped the army and ran for four days barefoot through ...

Australian-born radical Muslim arrested over near-fatal shooting

AN Australian-born man known to intelligence authorities for his extreme religious views has been charged over an alleged near-fatal shooting outside a sex club in Sydney's northwest in May 2013. Milad Bin Ahmad Shah al-Ahmadzai, 23, has been charged over the May 1 shooting and ambush of a ...

Female domestic violence - Woman murders her 6-year-old daughter

Sydney woman, part-Aboriginal Kristi Abrahams pleaded guilty to murdering her daughter, Kiesha (pictured below), whose remains were found in bushland in Sydney's west in early 2011, eight months after she was reported missing. Abrahams showed no emotion as she was sentenced to a non-parole period of 16 years for murder and interfering with a corpse. "Rot in hell!" someone in the public gallery yelled out as she was led away.

Ethnic crime: Muslim

The Syria war has already spilled into our streets, with bashings, shootings and arson as Sunnis and Shi’ites scuffle in Sydney and Melbourne. Then there are the 15 Muslims jailed here over four big terrorist plots. Radical preachers such as Sheik Taj El-Din al-Hilaly, imam at Lakemba mosque, Australia’s biggest, have meanwhile whipped up the hate by praising suicide bombers as “heroes”. They have an audience: scores of angry Muslim men rioted in Sydney last ...

Multiculturalism failure: Australian al-Shabbab terrorists jailed

In December 2010 a jury found Wissam Fattal, Nayef El Sayed, and Saney Aweys, guilty of terrorism offences after a six-week trial in the Victorian Supreme Court. Wissam Fattal The three men were part ...

The enemy within: Australian al-Shabbab terrorists convicted

In December 2010 a jury found Wissam Fattal, Nayef El Sayed, and Saney Aweys, guilty of terrorism offences after a six-week trial in the Victorian Supreme Court. The three men were part of an Islamic terrorist cell that planned to enter the Holsworthy army barracks in Sydney, armed with military weapons and shoot as many people as possible before they were killed or ran out of ammunition. The men, who had all met at the Preston Mosque in Melbourne's north, were arrested in ...

The enemy within: al-Shabab in Australia

The al-Shabab terrorist group responsible for the Westgate shopping mall massacre in Nairobi has links with home-grown Australian terrorists. In August 2009, Australian security agencies foiled an al-Shabab associated plot to attack Holsworthy Army Barracks in Sydney. Codenamed Operation Neath, the counterterrorism operation disrupted the mass-shooting plot in its early stages. Five men were charged, and three—Wissam Fattal (pictured), Saney Edow Aweys and Nayef el-Sayed—were ...

ABC's group think on climate change

Former ABC chairman, Maurice Newman warned of the global warming group think in the ABC: In March 2010 as chairman, I addressed an in-house conference of 250 ABC leaders… I blamed group think and used climate change as an example… Jonathon Holmes, the presenter of Media Watch, was so angry “he could not concentrate"… I was interviewed by PM and teased as to whether I was a “climate change denier or not as obvious as that?” ...

Ethnic crime: Two more killed in Middle Eastern bikie gang war

On Monday July 29, 2013 two Middle Eastern males with links to bikie gangs and terrorists  were killed just kilometres - and minutes - apart, becoming the latest victims of Sydney's out-of-control gun violence. The targeted attacks were reportedly linked to an ongoing lethal bikie turf war between the Comanchero and Hells Angels gangs. Vasko Boskovski and Bassil Hijazi died in a hail of bullets in Sydney's southwest, the 20th and 21st ...

Ethnic crime: Sudanese thugs bash and rob white youth in racist attack

A Sudanese woman who stole a mobile phone from a man who had been bashed unconscious by a male associate was ordered to undertake a Community Corrections Order to perform 100 hours of unpaid community work. The County Court sitting at Mildura on 16 September 2013 was told that 18-year-old Agar Yak had been consuming wine with two co-accused Sudanese men for about five hours before the assault and theft took place. Crown prosecutor David O’Doherty said Yak and the two men ...

Domestic violence - women licensed to kill by Australian courts

Anna Marshall On March 3, 2006, a woman who shot dead her husband from a "sniper's nest" at their central Victorian property walked free from an Australian court after being charged with the murder of her husband. Not only was it murder, it was, according to the prosecution, a cold-blooded and calculated execution.  

30-second rapist acquitted

Transcript This is a transcript from PM. The program is broadcast around Australia at 5:10pm on Radio National and 6:10pm on ABC Local Radio. WA man acquitted of rape

Feminist influence in the courts: the diabolical episode of the 30-second rapist

Anna Marshall Following pressure from feminist groups, the Western Australian parliament in 1985 dramatically amended the law relating to rape, first by changing the term rape to sexual assault and then greatly widening the definition of what could be classed as sexual assault.  Many acts not previously constituting rape were included in the new Act. The criteria for sexual ...

Domestic violence: How to legally murder your husband

By Anna Marshall On 4th March 2006, Claire Margaret McDonald gasped and burst into tears as a Victorian Supreme Court jury found her not guilty of the execution style murder of her husband, Warren John McDonald. The court was told that McDonald had donned camouflage gear and lay in wait with a high-powered rifle for her husband to approach. ...

Global cooling: Arctic ice cap grows 60% in a year

A chilly Arctic summer has left nearly a million more square miles of ocean covered with ice than at the same time last year – an increase of 60 per cent. - mailonline 7 Sept 2013. The rebound from 2012’s record low comes six years after the BBC reported that global warming would leave the Arctic ice-free in summer by 2013. Instead, days before the annual autumn re-freeze is due to begin, an unbroken ice sheet more than half the size of Europe already ...

Judges soft on Aboriginal criminals

Judges sentence Aboriginals to 43% shorter jail terms than the rest of the population If you are an Aboriginal felon then you can expect a jail term 42.8% shorter than a non- Aboriginal convicted for the same offence. The median aggregate sentence length for all offences for Aboriginals is 2 years, versus 3 years and 6 months for ...

Aboriginal teenager jailed for vicious attack on 88-year-old grandmother

On 27 August 2013, a 15-year–old Aboriginal boy was sent behind bars for seven years over a horrific attempted rape and beating he unleashed on an 88-year-old great-grandmother in her own home. In sentencing the Aboriginal youth, Perth Children’s Court President Denis Reynolds described the attack as “disgusting", "cowardly" and the "worst" of its kind”. The Aboriginal boy had broken into the 88-year-old woman’s ...

Aboriginals in racially-motivated attacks on whites

West Australian residents are used to seeing Aboriginal crime regularly portrayed in the nightly TV news. Scenes of car chases and victims of muggings, rapes and bashings have become almost ho-hum. But the escalation and savagery of Aboriginal attacks on whites in recent times have alarmed a complacent public. Savage attack by Aboriginal leaves 89-year-old man brain-damaged and blind in one ...

Ethnic crime: Middle Eastern bikie gangs at war in Sydney

On Monday July 29, 2013 two Middle Eastern males with links to bikie gangs and terrorists  were killed just kilometres - and minutes - apart, becoming the latest victims of Sydney's out-of-control gun violence. The targeted attacks were reportedly linked to an ongoing lethal bikie turf war between the Comanchero and Hells Angels gangs. Vasko Boskovski and Bassil Hijazi died in a hail of bullets in Sydney's southwest, the 20th and 21st ...

Media bias - ABC presenters demonstrate how to heckle a Liberal

Gerard Henderson analyses three recent ABC interviews with Coalition frontbenchers and concludes: The Faine/Trioli/Kelly Lesson In view of the unprofessional interviewing style to which some ABC presenters subject leading Coalition MPs, it is scarcely surprising if the likes of Tony Abbott decide that they could make ...

Journalists code of ethics - an oxymoron?

Most journalists belong to the Australian Journalists Association, a division of a trade union called the Media Entertainment and Arts Alliance (MEAA). Members are required to follow a code of ethics (shown in full below). Alliance members engaged in journalism commit themselves to Honesty Fairness ...

James Delingpole on wind farms, fraud and electricity prices in Australia

SINCE 2007, household electricity prices in Australia have risen by more than 40 per cent and by next year are projected to rise by around about 30 per cent. Federal MP Alby Schultz says this is the "biggest government sponsored fraud in the history of our country". Schultz was speaking to parliament about Big Wind, an industry so rife with "intimidation, manipulation, lies and cover-up" ...

Muslims flooding into Australia by illegal boat entry

THE arrival of more than 40,000 boat people in Australia's north since Labor unwound John Howard's border protection policies in late 2008 represents an alarming  threat to Australia's security as well as its social cohesion.This boat people phenomenon is essentially a determined Muslim immigration, being part of the stealth jihad, with the vast majority of arrivals being from Iran, Iraq and Afghanistan.This huge, unregulated Islamic inflow is the greatest single ...

Western nations under threat from stealth jihad

In most Muslim countries the people are subjected to the totalitarian socio-political doctrine that Islam calls shariah, where women are repressed and draconian laws prevail. Under shariah, polygamy, marital rape, wife abuse, female genital mutilation and underage forced marriages are rife.Translated as "the path", shariah is a comprehensive legal and ...

Prime Minister Cameron: Britain's successor to Neville Chamberlain

The day after the Woolwich murder, David Cameron condemned it a “betrayal of Islam” as he insisted Britain would stand resolute against terror attacks. He was speaking after chairing a meeting of Whitehall’s Cobra emergency committee of ministers, police chiefs and senior figures in the security services. Standing outside Downing Street on May 23 ,2013, the Prime Minister said: “This was not just an attack on Britain – and on our British way of life. It was also a ...

"An Explanatory Memorandum" - the secret document revealing plans for the Islamic invasion of the West

The hitherto secret Muslim Botherhood document, "An Explanatory Memorandum" dated 22 May, 1991, was entered into evidence in the U.S. v Holy Land Foundation terrorist finance trial, and is a primary source document that provides new insights into global jihad organisations like the Muslim Brotherhood. This document defines the structure and outline of domestic jihad threat entities and potential terrorist or insurgent support systems. The Memorandum also describes ...

Western nations under threat from stealth jihad

In most Muslim countries the people are subjected to the totalitarian socio-political doctrine that Islam calls shariah, where women are repressed and draconian laws prevail. Under shariah, polygamy, marital rape, wife abuse, female genital mutilation and underage forced marriages are rife.Translated as "the path", shariah is a comprehensive legal and ...

Woolwich murder: Islam shows its true face

"We swear by almighty Allah we will never stop fighting you. You people will never be safe" These revealing words by Michael Adebolajo, one the killers of soldier, Lee Rigby, casts light on the true nature of ...

Aboriginal riot in Sydney injures 40 police

Anna Marshall Years of pandering to Aboriginals with massive welfare payments and special privileges while simultaneously fuelling their resentment by dwelling on past grievances, blew up in the faces of the social engineers, do-gooders and the politically correct elites on a hot February night in 2004 in the Aboriginal ghetto of Redfern when a horde of rampaging, rioting  Aboriginals torched the Redfern railway station and then set about ...

Cronulla riots: Lebanese Muslim gang behaviour incites riot

Martin Lehmann - 13 December 2005 The left-wing, politically correct mainstream media had a field day blackening Australia's reputation following the Cronulla riots.  

The collateral damage from the war on drugs is too great

Elizabeth Krantz One of the greatest threats to the quality of life and social stability in Western nations is the lawlessness and corruption caused by the prohibition of certain drugs. The prohibition, as in the US alcohol prohibition experience, has created a criminal class of armed, vicious thugs and their hordes of enforcers, traffickers, crooked lawyers, accountants, politicians and police, that threaten the very foundations of our democratic society. Many ...

The great international governmental Ponzi scheme

These timely,important words from respected Australian banker and economist, Maurice Newman, should serve as an urgent wake-up call to both politicians and the voting public. IN a bright start to the new year we are reading that the global economic outlook is improving. Setbacks are transitory. The fiscal cliff is ...

A suburb I used to know

History teacher Peter Roberts grew up in Greenacre, scene of yet another shooting involving men of Middle Eastern background Gunned down: Police investigate the Wilbur Street shooting.  Wilbur Street, Greenacre? I remember it well. I remember riding my bike around Wilbur ...

ABC bias

This piece from Andrew Bolt on 4 May 2013 is a clear demonstration of ABC bias, a bias that ABC executives and journalists seem blissfully unaware of. ABC managing director Mark Scott on Rafael Epstein’s show once again plays too cute about the overwhelmingly Leftist bias he’s presided over - in breach of the ABC’s ...

Domestic violence - sadistic female killer Katherine Knight

The media constantly trumpet the radical feminist line that males are violent killers, responsible for the majority of domestic viiolence.The story of sadistic killer Katherine Mary Knight may redress this imbalance somewhat. On 29 February 2000, in what must truly be Australia's most gruesome case of domestic violence, mother of four, Katherine Mary Knight cold-bloodedly ...

The rise of Middle Eastern crime in Australia

Former NSW detective Tim Priest was one of the front-line cops who lead the war against crime in the drug-ridden streets of Cabramatta. Yet he found himself waging his biggest battle not against the drug gangs but against the very organisation he worked for. Eventually, he could stand it no longer and spoke out about the politics and bureaucratic bungling, chronic lack of resources and crazy policy decisions that ...

Drug decriminalization in Portugal

Drugs in Portugal: Did Decriminalization Work? By Maia Szalavitz Sunday, Apr. 26, 2009  TIME SCIENCE Pop quiz: Which European country has the most liberal drug laws? (Hint: It's not the Netherlands.) Although its capital is notorious among stoners and college kids ...

Welfarism, social engineering and political correctness

There is no greater example of the culturally corrosive power of the combination of welfarism, social engineering and political  correctness than the terrible evil that this deadly trio has wrought on Australia's Aboriginal population. Billions of taxpayers' dollars are lavished on keeping many Aboriginals in remote outback locations. There is no industry to employ them so they are given "sit-down" money. Instead of going to work, the days ...

China's military build-up

China's military power Modernisation in sheep's clothing Aug 26th 2011, 7:57 by J.M. | BEIJING  The Economist THE good news, as suggested by  the Pentagon's latest annual report on China's military power, is that Chinese leaders are still eager to avoid confrontation with other powers and focus on beefing up the economy. The bad news, it ...

Bolt trial: free speech under threat

White "Aborigines" use Racial Discrimination Act to stifle criticism.  Andrew Bolt's show trial. What do these women have in common?

Bess Price: why this deadly silence when our women are dying?

Northern Territory MP Bess Price, one of a number of Aboriginal conservatives now being heard, made this brilliant, brave and shocking speech in the NT Legislative Assembly. I urge you to read it. Learn of the new racism that shields those who bash, rape and kill Aboriginal women and children in particular, and which punishes those, like Bess, who speak out ...

Geert Wilders: No surprise the Boston bombers were fans of the sheik

NO, I was not surprised when the Tsarnaev brothers, the terrorists involved in last week's Boston bombing, turned out to be Islamic radicals. And neither am I surprised that they are fans of Australian Islamic cleric Sheik Feiz Mohammed.

Global warming -

"Global warming-at least the modern nightmare version - is a myth. I am sure of it and so are a growing number of scientists. But what is really worrying is that the world's politicians and policy makers are not" - David Bellamy, Daily Mail, July 9, 2004 Nor are the world's media. Maybe it's because end-of-the-world stories make good headlines.

Global warming an unproven hypothesis

Anna Marshall This is a brief outline of how the global warming controversy started and where it is going. The warmists claim that there is scientific consensus on global warming. But science is not based on consensus. Advancements in science are based on the application of the scientific method.  Although there are some variations, it is generally accepted that  the scientific method ...

GetUp exposed: George Soros' tentacles reach into Australia

The left-wing activist group, GetUp claims it is “an independent grass-roots community advocacy organisation.”  GetUp’s founders David Madden and Jeremey Heimans are heavily involved  in a number of similar  US and global left-wing activist groups, each of which is tied to the shadowy billionaire, George Soros (pictured).  

Global warming according to James Delingpole

The Man Made Global Warming industry is a crock, a scam on an epic scale, fed by the world’s biggest outbreak of mass hysteria, stoked by politicians dying for an excuse to impose more tax and regulation on us while being seen to “care” about an issue of pressing urgency, fuelled by the shrill lies and tear-jerking propaganda of activists possessed of no understanding of the real world other than a chippy instinctive hatred of capitalism, given a ...